/**
 * unit_tests
 *
 * collective test harness for carrying out unit test
 * verification of the rdseed build
 *
 * Robert Casey - May 2014
 */

#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/types.h>
#include "rdseed.h"
#include "unit_test.h"

int main (int argc, char* argv[]) {
	int result = 0, result_count = 0, result_total = 0;
	char* result_str[] = {"FAILED","OK"};

/*---- TEST process_data.c:chk_time() ----------*/
	printf("Begin testing chk_time()\n");

	result = test_chk_time_001();
	printf("Test 1 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_002();
	printf("Test 2 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_003();
	printf("Test 3 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_004();
	printf("Test 4 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_005();
	printf("Test 5 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_006();
	printf("Test 6 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	result = test_chk_time_007();
	printf("Test 7 result: %s\n",result_str[result]);
	result_count++;
	result_total += result;

	printf("Done testing chk_time()\n");
/*--------------------------------------------*/

	printf("\n\nTHERE WERE %d FAILURES OUT OF %d TESTS\n",(result_count-result_total),result_count);

	return 0;
}
